nuke/test/double_slash/test.sh
fucksophie 02b9aebbe5
Some checks failed
Docker image builds / build (push) Failing after 4m22s
NUKE
2026-02-07 14:27:38 +02:00

23 lines
364 B
Bash
Executable file

#!/usr/bin/env bash
set -euo pipefail
function cleanup() {
pkill -P $$
}
trap cleanup EXIT SIGINT
# Build static assets
(cd ../.. && npm ci && npm run assets)
go tool nuke --help 2>/dev/null || :
go run ../cmd/httpdebug &
go tool nuke \
--policy-fname ./nuke.yaml \
--use-remote-address \
--target=http://localhost:3923 &
backoff-retry node ./test.mjs